package org.objectweb.petals.kernel.configuration;

public interface LocalConfiguration {

	/**
	 * Returns the value of the provided paramater name. If the parameter does
	 * not exist, <code>null</code> is returned.
	 * 
	 * @param parameterName
	 * @return
	 */
	String getValue(final String parameterName);
	
	/**
	 * Returns the value of the provided paramater name. If the parameter does
	 * not exist, <code>defaultValue</code> is returned.
	 * 
	 * @param parameterName
	 * @return
	 */
	String getValue(final String parameterName, final String defaultValue);
}
